> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/requisicoes-para-signatarios/detailsigner.md).

# detailSigner

### Visão geral

Parâmetros:&#x20;

* String - token do signatário

Retorno:

* [Signer ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)- caso sucesso
* Exception - caso falha

Para obter esse signatário precisamos:

* definir seu token api.
* definir o token do signatário.
* chamar o método.

### Uso:

Salve seu [Api Token](/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "SEU TOKEN";
</strong></code></pre>

Salve o token de seu signatário:

```typescript
const signerToken: string = "TOKEN DO SIGNATÁRIO";
```

Chame o método detailSigner e receba como resposta a classe [Signer](https://app.gitbook.com/s/-M4noMoX5ZGb2-RhWjjf-887967055/~/changes/193/facilitadores/sdks/sdk-typescript/classes-usadas/body/signer) ou uma mensagem de erro:

```typescript
async function exempleDetailSigner() {
    try {
           const signerRequest: SignerRequest = await new SignerRequest(apiToken).detailSigner(signerToken);
           const jsonDocResponse: string = new JsonConverter().signerToJson(docResponse);
           console.log(jsonDocResponse);
         } catch(Err) {
           console.log(Err);
     }
   }
}
```

### Exemplo completo:

<pre class="language-typescript"><code class="lang-typescript">import SignerRequest from "sdk-node-typescript-zapsign/src/signer/SignerRequest";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
<strong>
</strong><strong>const apiToken: string = "SEU TOKEN";
</strong><strong>
</strong>const signerToken: string = "TOKEN DO SIGNATÁRIO";

async function exempleDetailSigner() {
    try {
           const signerRequest: SignerRequest = await new SignerRequest(apiToken).detailSigner(signerToken);
           const jsonDocResponse: string = new JsonConverter().signerToJson(docResponse);
           console.log(jsonDocResponse);
         } catch(Err) {
           console.log(Err);
     }
   }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-typescript/requisicoes-para-signatarios/detailsigner.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
